<div class="miam-uploader" [ngClass]="{ 'image-container-mode' : imageUrl,'dragover-mode': isDragover && !imageUrl}">
  <input *ngIf='!photoMode else photoInput' multiple="multiple" type="file" #fileInput
    (change)="uploadFile($event.target.files)">
  <ng-template #photoInput>
    <input accept="image/jpeg, image/png, image/webp" type="file" #fileInput (change)="fileSelected($event)">
    <figure>
      <img [src]="imageUrl || 'https://storage.googleapis.com/assets.miam.tech/generic/personal-recipes/default_img_personal_recipe.jpg'" />
    </figure>
  </ng-template>
  <div class="m-button-secondary" (click)="openExplorer()">
    <span>{{buttonText}}</span>
    <ng-miam-icon [iconName]='icon.CloudUpload' primaryColor="var(--m-color-white)"></ng-miam-icon>
  </div>
  <div class="miam-uploader__default__photo" *ngIf="photoMode && !imageUrl" (click)="openExplorer()">
    Si vous ne changez pas la photo, celle par défaut sera appliquée
  </div>
  <div class="miam-uploader__drop__overlay" (dragover)="onDragOver($event)" (dragleave)="onDragLeave($event)"
    (drop)="onDrop($event)" (click)="openExplorer()"></div>
</div>